<?php
/**
 * Settings room model.
 *
 * @package northmill-online-shared
 */

declare(strict_types=1);

namespace Northmill_Online_Shared\Modules\Admin\Pages\Page\Admin_Sync_Settings\Models\Properties;

use Northmill_Online_Shared\Abstracts\Data_Model;

defined( 'ABSPATH' ) || exit;

/**
 * Class Settings_Room_Model
 *
 * @used Northmill Catering Theme
 */
class Settings_Room_Model extends Data_Model {
	/**
	 * Room ID.
	 *
	 * @var string
	 */
	public $Id;

	/**
	 * Room name.
	 *
	 * @var string
	 */
	public $Name;

	/**
	 * Whether the room is allowed for pickup.
	 *
	 * @var bool
	 */
	public $AllowForPickup;

	/**
	 * Whether the room is allowed for delivery.
	 *
	 * @var bool
	 */
	public $AllowForDelivery;

	/**
	 * Get the room ID.
	 *
	 * @return string
	 */
	public function get_id(): string {
		return $this->Id;
	}

	/**
	 * Get the room name.
	 *
	 * @return string
	 */
	public function get_name(): string {
		return $this->Name;
	}

	/**
	 * Check if the room is allowed for pickup.
	 *
	 * @return bool
	 */
	public function get_allow_for_pickup(): bool {
		return $this->AllowForPickup;
	}

	/**
	 * Check if the room is allowed for delivery.
	 *
	 * @return bool
	 */
	public function get_allow_for_delivery(): bool {
		return $this->AllowForDelivery;
	}
}
